# Get card transaction

`GET /issuing/{accountID}/card-transactions/{cardTransactionID}`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Retrieves details of an issued card transaction associated with a specific Moov account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/issued-cards.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `accountID` | path | string | Yes | The Moov business account for which cards have been issued. |
| `cardTransactionID` | path | string | Yes |  |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `cardTransactionID` | string | Yes |  |
| `issuedCardID` | string | Yes |  |
| `lastFourCardNumber` | string |  | Last four digits of the card number. Omitted for transactions recorded before this was captured. |
| `authorizedUserAccountID` | string |  | Identifier for the account of the card's authorized user. |
| `fundingWalletID` | string | Yes |  |
| `amount` | string (^\d+\.\d{1,2}$) | Yes | A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99. |
| `authorizationID` | string |  |  |
| `authorizedOn` | string (date-time) | Yes |  |
| `merchantData` | object | Yes |  |
| `merchantData.networkID` | string | Yes | External identifier used to identify the merchant with the card brand. |
| `merchantData.name` | string |  | Name of the merchant. |
| `merchantData.city` | string |  | The merchant's location. |
| `merchantData.country` | string | Yes | Two-letter country code. |
| `merchantData.postalCode` | string |  | The merchant's five-digit postal code. |
| `merchantData.state` | string |  | The merchant's two-letter state abbreviation. |
| `merchantData.mcc` | string | Yes | The Merchant Category Code. |
| `createdOn` | string (date-time) | Yes |  |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/issuing/{accountID}/card-transactions/{cardTransactionID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.issuingTransactions.get({
    accountID: "b2b6e23c-a5aa-46a9-adb7-d12876e47288",
    cardTransactionID: "d5a1aab9-eb96-409a-ab95-88ac99cf00a5",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/money-movement/issuing/get-card-transaction/
